## START: Set by rpmautospec
## (rpmautospec version 0.6.3)
## RPMAUTOSPEC: autorelease, autochangelog
%define autorelease(e:s:pb:n) %{?-p:0.}%{lua:
    release_number = 3;
    base_release_number = tonumber(rpm.expand("%{?-b*}%{!?-b:1}"));
    print(release_number + base_release_number - 1);
}%{?-e:.%{-e*}}%{?-s:.%{-s*}}%{!?-n:%{?dist}}
## END: Set by rpmautospec

Summary:        A console-based network monitoring utility
Name:           iptraf-ng
Version:        1.2.2
Release:        %autorelease
Source0:        https://github.com/iptraf-ng/iptraf-ng/archive/v%{version}.tar.gz
Source1:        %{name}-logrotate.conf
Source2:        %{name}-tmpfiles.conf
URL:            https://github.com/iptraf-ng/iptraf-ng/
License:        GPL-2.0-or-later
BuildRequires:  gcc
BuildRequires:  ncurses-devel
BuildRequires:  make
Requires:       logrotate
Obsoletes:      iptraf < 3.1
Provides:       iptraf = 3.1

%description
IPTraf-ng is a console-based network monitoring utility.  IPTraf gathers
data like TCP connection packet and byte counts, interface statistics
and activity indicators, TCP/UDP traffic breakdowns, and LAN station
packet and byte counts.  IPTraf-ng features include an IP traffic monitor
which shows TCP flag information, packet and byte counts, ICMP
details, OSPF packet types, and oversize IP packet warnings;
interface statistics showing IP, TCP, UDP, ICMP, non-IP and other IP
packet counts, IP check sum errors, interface activity and packet size
counts; a TCP and UDP service monitor showing counts of incoming and
outgoing packets for common TCP and UDP application ports, a LAN
statistics module that discovers active hosts and displays statistics
about their activity; TCP, UDP and other protocol display filters so
you can view just the traffic you want; logging; support for Ethernet,
FDDI, ISDN, SLIP, PPP, and loop back interfaces; and utilization of the
built-in raw socket interface of the Linux kernel, so it can be used
on a wide variety of supported network cards.

%prep
%setup -q

%build
make %{?_smp_mflags} V=1 \
  CFLAGS="-g -O2 -Wall -W -std=gnu99 -Werror=format-security %{optflags}" \
  LDFLAGS="$RPM_LD_FLAGS"

%install
rm -rf %{buildroot}
make install DESTDIR=%{buildroot} prefix=%{_prefix}

# remove everything besides the html and pictures in Documentation
find Documentation -type f | grep -v '\.html$\|\.png$\|/stylesheet' | \
     xargs rm -f

install -D -m 0644 -p %{SOURCE1} %{buildroot}%{_sysconfdir}/logrotate.d/iptraf-ng

install -d -m 0755 %{buildroot}%{_localstatedir}/{log,lib}/iptraf-ng

mkdir -p %{buildroot}%{_prefix}/lib/tmpfiles.d
install -m 0644 %{SOURCE2} %{buildroot}%{_prefix}/lib/tmpfiles.d/%{name}.conf

mkdir -p %{buildroot}/run
install -d -m 0755 %{buildroot}/run/%{name}/

%files
%doc CHANGES FAQ LICENSE README*
%doc Documentation
%{_sbindir}/iptraf-ng
%{_mandir}/man8/iptraf-ng.8*
%{_localstatedir}/log/iptraf-ng
%{_localstatedir}/lib/iptraf-ng
%config(noreplace) %{_sysconfdir}/logrotate.d/iptraf-ng
%dir /run/%{name}/
%{_prefix}/lib/tmpfiles.d/%{name}.conf

%changelog
## START: Generated by rpmautospec
* Tue Feb 11 2025 Tomas Dolezal <todoleza@redhat.com> - 1.2.2-3
- enable gating as per tmt plan

* Sun Feb 02 2025 Andrea Claudi <aclaudi@redhat.com> - 1.2.2-2
- iptraf-ng-1.2.2-2.el10

* Sun Feb 02 2025 Andrea Claudi <aclaudi@redhat.com> - 1.2.2-1
- iptraf-ng-1.2.2-1.el10

* Tue Oct 29 2024 Troy Dawson <tdawson@redhat.com> - 1.2.1-16
- Bump release for October 2024 mass rebuild:

* Mon Jun 24 2024 Troy Dawson <tdawson@redhat.com> - 1.2.1-15
- Bump release for June 2024 mass rebuild

* Wed Jan 24 2024 Fedora Release Engineering <releng@fedoraproject.org> - 1.2.1-14
- Rebuilt for https://fedoraproject.org/wiki/Fedora_40_Mass_Rebuild

* Sat Jan 20 2024 Fedora Release Engineering <releng@fedoraproject.org> - 1.2.1-13
- Rebuilt for https://fedoraproject.org/wiki/Fedora_40_Mass_Rebuild

* Fri Aug 11 2023 Andrea Claudi <aclaudi@redhat.com> - 1.2.1-12
- Use SPDX license id

* Thu Jul 20 2023 Fedora Release Engineering <releng@fedoraproject.org> - 1.2.1-11
- Rebuilt for https://fedoraproject.org/wiki/Fedora_39_Mass_Rebuild

* Thu Jan 19 2023 Fedora Release Engineering <releng@fedoraproject.org> - 1.2.1-10
- Rebuilt for https://fedoraproject.org/wiki/Fedora_38_Mass_Rebuild

* Thu Jul 21 2022 Fedora Release Engineering <releng@fedoraproject.org> - 1.2.1-9
- Rebuilt for https://fedoraproject.org/wiki/Fedora_37_Mass_Rebuild

* Thu Jan 20 2022 Fedora Release Engineering <releng@fedoraproject.org> - 1.2.1-8
- Rebuilt for https://fedoraproject.org/wiki/Fedora_36_Mass_Rebuild

* Thu Jul 22 2021 Fedora Release Engineering <releng@fedoraproject.org> - 1.2.1-7
- Rebuilt for https://fedoraproject.org/wiki/Fedora_35_Mass_Rebuild

* Tue Jan 26 2021 Fedora Release Engineering <releng@fedoraproject.org> - 1.2.1-6
- Rebuilt for https://fedoraproject.org/wiki/Fedora_34_Mass_Rebuild

* Sat Dec 19 2020 Tom Stellard <tstellar@redhat.com> - 1.2.1-5
- Add BuildRequires: make

* Thu Aug 20 2020 Jeff Law <law@redhat.com> - 1.2.1-4
- Add .conf files back to sources

* Tue Jul 28 2020 Fedora Release Engineering <releng@fedoraproject.org> - 1.2.1-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_33_Mass_Rebuild

* Tue Jul 21 2020 Phil Cameron <pcameron@redhat.com> - 1.2.1-2
- Makefile: protect mandatory compile flags packet capture: don't reuse
  socket for multiple receive functions TPACKET_V[23]: continue even if
  mlock() fails ipmon: fix division by zero fix: detstats(), ifstats():
  handle packets with incorrect header checksum fix: positionptr():
  properly allocate newly created interfaces fix: detstats(): properly
  account non-IP packets fix: properly init curses (fixes view on some
  utf-8 terminals) fix: cidr_split_address(): fix buffer overflow ipmon:
  printentry(): fix printing of huge values build: use correct libraries
  (wide version of -lpanel) fix unsafe handling of printf() args (RedHat
  Bugzilla: 1842690) fix the CPU hog if the interface gets removed (RedHat
  Bugzilla: 1572750) introduce packet capturing abstraction: add
  recvmmsg(), TPACKET_V2 and TPACKET_V3 mmap()ed capturing modules: this
  allow us to capture in multigigabit speeds add partial support for IPoIB
  interfaces (full support cannot be done because the kernel interface
  doesn't give us source address) (RedHat Bugzilla: 1140211) merge rvnamed-
  ng into iptraf-ng allow scrolling with Home, End, PageUp and PageDown
  keys show dropped packet count pktsize: print in and out counters
  ifstats: show total packet rate and packet drop across all interfaces
  ipmon: show OSPF protocol version hostmon, ipmon: update screen only when
  needed (vastly reduces CPU usage and also reduces packet drops) update
  source code to compile cleanly on modern gcc numerous code
  refactoring/cleaning up all over the source tree

* Tue Jul 21 2020 Phil Cameron <pcameron@redhat.com> - 1.2.1-1
- Makefile: protect mandatory compile flags packet capture: don't reuse
  socket for multiple receive functions TPACKET_V[23]: continue even if
  mlock() fails ipmon: fix division by zero fix: detstats(), ifstats():
  handle packets with incorrect header checksum fix: positionptr():
  properly allocate newly created interfaces fix: detstats(): properly
  account non-IP packets fix: properly init curses (fixes view on some
  utf-8 terminals) fix: cidr_split_address(): fix buffer overflow ipmon:
  printentry(): fix printing of huge values build: use correct libraries
  (wide version of -lpanel) fix unsafe handling of printf() args (RedHat
  Bugzilla: 1842690) fix the CPU hog if the interface gets removed (RedHat
  Bugzilla: 1572750) introduce packet capturing abstraction: add
  recvmmsg(), TPACKET_V2 and TPACKET_V3 mmap()ed capturing modules: this
  allow us to capture in multigigabit speeds add partial support for IPoIB
  interfaces (full support cannot be done because the kernel interface
  doesn't give us source address) (RedHat Bugzilla: 1140211) merge rvnamed-
  ng into iptraf-ng allow scrolling with Home, End, PageUp and PageDown
  keys show dropped packet count pktsize: print in and out counters
  ifstats: show total packet rate and packet drop across all interfaces
  ipmon: show OSPF protocol version hostmon, ipmon: update screen only when
  needed (vastly reduces CPU usage and also reduces packet drops) update
  source code to compile cleanly on modern gcc numerous code
  refactoring/cleaning up all over the source tree

* Wed Jan 29 2020 Fedora Release Engineering <releng@fedoraproject.org> - 1.1.4-33
- Rebuilt for https://fedoraproject.org/wiki/Fedora_32_Mass_Rebuild

* Thu Jul 25 2019 Fedora Release Engineering <releng@fedoraproject.org> - 1.1.4-32
- Rebuilt for https://fedoraproject.org/wiki/Fedora_31_Mass_Rebuild

* Thu Apr 11 2019 Phil Cameron <pcameron@redhat.com> - 1.1.4-31
- add test case Resolves: 1682317

* Fri Feb 01 2019 Fedora Release Engineering <releng@fedoraproject.org> - 1.1.4-30
- Rebuilt for https://fedoraproject.org/wiki/Fedora_30_Mass_Rebuild

* Mon Jan 28 2019 Igor Gnatenko <ignatenkobrain@fedoraproject.org> - 1.1.4-29
- Remove obsolete Group tag

* Mon Jul 16 2018 Phil Cameron <pcameron@redhat.com> - 1.1.4-28
- Added BuildRequires:  gcc

* Fri Jul 13 2018 Fedora Release Engineering <releng@fedoraproject.org> - 1.1.4-27
- Rebuilt for https://fedoraproject.org/wiki/Fedora_29_Mass_Rebuild

* Tue Jul 10 2018 Jason Tibbitts <tibbs@math.uh.edu> - 1.1.4-26
- Remove needless use of %%defattr

* Wed Feb 14 2018 Igor Gnatenko <ignatenkobrain@fedoraproject.org> - 1.1.4-25
- Remove %%clean section

* Wed Feb 07 2018 Fedora Release Engineering <releng@fedoraproject.org> - 1.1.4-24
- Rebuilt for https://fedoraproject.org/wiki/Fedora_28_Mass_Rebuild

* Thu Feb 01 2018 Florian Weimer <fweimer@redhat.com> - 1.1.4-23
- Build with linker flags from redhat-rpm-config

* Tue Jan 23 2018 Phil Cameron <pcameron@redhat.com> - 1.1.4-22
- iptraf-ng-1.1.4-16

* Wed Aug 02 2017 Fedora Release Engineering <releng@fedoraproject.org> - 1.1.4-21
- Rebuilt for
  https://fedoraproject.org/wiki/Fedora_27_Binutils_Mass_Rebuild

* Wed Jul 26 2017 Fedora Release Engineering <releng@fedoraproject.org> - 1.1.4-20
- Rebuilt for https://fedoraproject.org/wiki/Fedora_27_Mass_Rebuild

* Fri Feb 10 2017 Fedora Release Engineering <releng@fedoraproject.org> - 1.1.4-19
- Rebuilt for https://fedoraproject.org/wiki/Fedora_26_Mass_Rebuild

* Sun Apr 17 2016 Alejandro <aeperezt@fedoraproject.org> - 1.1.4-18
- fix typo

* Sun Apr 17 2016 Alejandro <aeperezt@fedoraproject.org> - 1.1.4-17
- verified all sources

* Sun Apr 17 2016 Alejandro <aeperezt@fedoraproject.org> - 1.1.4-16
- fix mess up sources

* Sun Apr 17 2016 Alejandro <aeperezt@fedoraproject.org> - 1.1.4-15
- Updated spec

* Sun Apr 17 2016 Alejandro <aeperezt@fedoraproject.org> - 1.1.4-14
- Clean up, added sources

* Sun Apr 17 2016 Alejandro <aeperezt@fedoraproject.org> - 1.1.4-13
- Added path fix for bug 1283773

* Thu Feb 04 2016 Dennis Gilmore <dennis@ausil.us> - 1.1.4-12
- Rebuilt for https://fedoraproject.org/wiki/Fedora_24_Mass_Rebuild

* Wed Jun 17 2015 Dennis Gilmore <dennis@ausil.us> - 1.1.4-11
- Rebuilt for https://fedoraproject.org/wiki/Fedora_23_Mass_Rebuild

* Sat Aug 16 2014 Peter Robinson <pbrobinson@fedoraproject.org> - 1.1.4-10
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_22_Mass_Rebuild

* Tue Jun 17 2014 Alejandro <aeperezt@fedoraproject.org> - 1.1.4-9
- RPMAUTOSPEC: unresolvable merge
## END: Generated by rpmautospec
